<?php
namespace codemania\core;
//use codemania\core\Config;
defined('CM_ROOT') or exit('Заперт доступа!');
class Core {
    static public $_debug = false;
    static public $config;
    static public function init(array $options) {
        if (isset($options['debug'])) {
            self::$_debug = (bool)$options['debug'];
        }
        self::_set_handlers();
//        if ( ! self::$config instanceof Config) {
//            self::$config = new Config;
//        }
    }
    static public function check_php_version($phpversion) {
        if ( ! (version_compare(PHP_VERSION, $phpversion) >= 0)) {
            throw new \LogicException('Данная библиотека требует версию PHP >= '. $phpversion .'!');
        }
    }
    static private function _set_handlers() {
        if (self::$_debug) {
            set_exception_handler(array(
                'codemania\core\exception\ExceptionHandler',
                'init',
            ));
        }
    }
}