<?php
namespace codemania\core;
/**
 * CodeMania Framework
 * 
 * @author CodeMania Team <team@codemania.ru>
 * @license http://codemania.ru/license.html
 * @package CodeMania
 * @version 1.0.0
 * @copyright (c) 2012, CodeMania Team
 * @link  http://codemania.ru/
 */
defined('CM_ROOT') or exit('Заперт доступа!');

class HTTP {
    static public $_protocol = 'HTTP/1.0';
    static public function init() {
        if (isset($_SERVER['SERVER_PROTOCOL'])) {
            self::$_protocol = $_SERVER['SERVER_PROTOCOL'];
        }
    }
    static public function set_header_status($message, $code = 500) {
        http_response_code($code);
        ob_start();
        ob_implicit_flush(false);
        include CM_ROOT .'codemania/template/http_error.php';
        $buffer = ob_get_contents();
        ob_end_clean();
        return $buffer;
    }
}