<?php
namespace codemania\core;
/**
 * CodeMania Framework
 * 
 * @author CodeMania Team <team@codemania.ru>
 * @license http://codemania.ru/license.html
 * @package CodeMania
 * @version 1.0.0
 * @copyright (c) 2012, CodeMania Team
 * @link  http://codemania.ru/
 */
defined('CM_ROOT') or exit('Заперт доступа!');

class Security {
    static public function filter_inout($string) {
        return nl2br(htmlspecialchars(trim((string)$string), ENT_QUOTES, 'UTF-8'));
    }
    static public function filter_input($string) {
        return htmlspecialchars(trim((string)$string), ENT_QUOTES, 'UTF-8');
    }
    static public function filter_output($string) {
        return nl2br(trim((string)$string));
    }
}