<?php
namespace codemania\library\database;
/**
 * CodeMania Framework
 * 
 * @author CodeMania Team <team@codemania.ru>
 * @license http://codemania.ru/license.html
 * @package CodeMania
 * @version 1.0.0
 * @copyright (c) 2014, CodeMania Team
 * @link  http://codemania.ru/
 */
defined('CM_ROOT') or exit('Заперт доступа!');

class DataBase extends \codemania\core\Singleton {
    public static $_dsn;
    static private $_driver_map = array(
        'mysqli' => 'codemania\library\database\drivers\MySQLiDrier',
    );
    public function __construct() {
        $driver = explode(':', self::$_dsn);
        $class_driver = self::$_driver_map[$driver[0]];
        return new $class_driver();
    }
}