<?php
namespace codemania\library\database;
/**
 * CodeMania Framework
 * 
 * @author CodeMania Team <team@codemania.ru>
 * @license http://codemania.ru/license.html
 * @package CodeMania
 * @version 1.0.0
 * @copyright (c) 2012, CodeMania Team
 * @link  http://codemania.ru/
 */
defined('CM_ROOT') or exit('Заперт доступа!');

class QueryBuilder {
    private $_query;
    public function select($table, $p = '*') {
        if (is_array($p)) {
            foreach ($p as $val) {
                $arr[] = '`'. $val .'`';
            }
           $p = implode(',', $arr);
        }
        $this->_query .= 'SELECT ('. (string)$p .')FROM `'. (string)$table .'` ';
        return $this;
    }
    public function where($key, $value) {
        $this->_query .= 'WHERE `'. (string)$key .'` = \''. (string)$value .'\' ';
        return $this;
    }
    public function limit($limit) {
        $this->_query .= 'LIMIT '. $limit .'';
        return $this;
    }
}